POST /api/v3/billSplit/exec

Process one or more Bill Split distributions for a specific billing period

ExecuteBillSplitProcessorV3 Permissions: Chargebacks (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

ChargebackProcessorSettings
Property Description Type
batchSettings BatchCreate
BatchCreate properties
Property Description Type
accountPeriodNumber Account period number for batch - will get applied as default to any bill added to this batch integer (int32)
accountPeriodYear Accountperiod year for batch - will get applied as default to any bill added to this batch Must be between 1900 and 2099 integer (int32)
batchCode The batch code Required Must be between 0 and 255 characters string
closeExistingBatch If user has other batches open, should they be closed? boolean
controlCode Control code for batch - will get applied as default to any bill added to this batch Must be between 0 and 255 characters string
dueDate Due date for batch - will get applied as default to any bill added to this batch string (date-time)
invoiceNumber Invoice number for batch - will get applied as default to any bill added to this batch Must be between 0 and 255 characters string
nextReading Next reading date for batch - will get applied as default to any bill added to this batch string (date-time)
note Note/comment for batch Must be between 0 and 255 characters string
statementDate Statement date for batch - will get applied as default to any bill added to this batch string (date-time)
billingPeriod Billing Period to be processed Required Valid billing period between 190001 and 300001 integer (int32)
endDateForBill Optional End Date for Bill being generated. Only used for Calculate Bill and that too when use is not from sub-meter reading The bills generated will inherit bill headers (accounting period, invoice number, control code, etc ) from the batch Must be greater than StartDateForBill Must be between 1899-12-31 and 3000-01-01 string (date-time)
filters Optional Filters. These will aid in identifying the distributions that should be processed TODO:List applicable filters QuickFilter[]
QuickFilter properties
Property Description Type
caption Required string
operator Required string
value Required string
note Optional note/comment string
startDateForBill Optional Start Date for Bill being generated. Only used for Calculate Bill and that too when use is not from sub-meter reading The bills generated will inherit bill headers (accounting period, invoice number, control code, etc ) from the batch Must be between 1899-12-31 and 3000-01-01 string (date-time)
Example Request Body application/json
{  "batchSettings": {    "accountPeriodNumber": 1,    "accountPeriodYear": 1,    "batchCode": "string",    "closeExistingBatch": false,    "controlCode": "string",    "dueDate": "2026-03-30",    "invoiceNumber": "string",    "nextReading": "2026-03-30",    "note": "string",    "statementDate": "2026-03-30"
  },  "billingPeriod": 1,  "endDateForBill": "2026-03-30",  "filters": [
    {    "caption": "string",    "operator": "string",    "value": "string"
  }
  ],  "note": "string",  "startDateForBill": "2026-03-30"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ChargebackTaskResponse
Property Description Type
batch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
billingPeriod The billing period the task was run for integer (int32)
chargebackType The chargeback type. Either “Split” or “Calculation” string
comment User comments on the task string
numberOfAnalyzingBills The number of bills that are currently analyzing within the task integer (int32)
numberOfBillsCreated The number of bills created by the task integer (int32)
numberOfFailedVersions The number of chargeback versions that failed to run within the task integer (int32)
numberOfUnresolvedFlags The number of unresolved flags on bills within the task integer (int32)
reversedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
reversedDate The date when all bills generated by the task were voided or deleted string (date-time)
settings The task’s settings object
status Current status of the task string
taskBegin Begin date when the task started string (date-time)
taskEnd End date when the task ended string (date-time)
taskId Identifier for the task integer (int32)
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
workflow ChargebackWorkflowStepChild
ChargebackWorkflowStepChild properties
Property Description Type
chargebackWorkflow ChargebackWorkflowBase
ChargebackWorkflowBase properties
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. One of ‘Split’, ‘Calculation’ One of ‘Split’, ‘Calculation’ string
Example Response application/json
{  "batch": {    "batchCode": "string",    "batchId": 1
  },  "billingPeriod": 1,  "chargebackType": "string",  "comment": "string",  "numberOfAnalyzingBills": 1,  "numberOfBillsCreated": 1,  "numberOfFailedVersions": 1,  "numberOfUnresolvedFlags": 1,  "reversedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "reversedDate": "2026-03-30",  "settings": {},  "status": "string",  "taskBegin": "2026-03-30",  "taskEnd": "2026-03-30",  "taskId": 1,  "user": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "workflow": {    "chargebackWorkflow": {      "chargebackWorkflowId": 1,      "chargebackWorkflowInfo": "string"
    },    "chargebackWorkflowStepDescription": "string",    "chargebackWorkflowStepId": 1,    "chargebackWorkflowStepInfo": "string",    "chargebackWorkflowStepOrder": 1,    "chargebackWorkflowStepType": "string"
  }
}